<?php
/*
Officity - Web application platform - Version 6.0 - 2011-07-05

François Dispaux, Boris Verdeyen, Thomas Hermant,
Jérémie Roy, Grégory Meurice, Abdelila Harbi, 
Marc Mignonsin, Jonathan Sanchez, Julien Gonzalez, Pierre Fouchez

Sushee and Officity is © Copyright 2011 Nectil SA.

`/var/www/installer/public_html/officity-source/apps/officity/shared/libversion/libversion.class.php` is part of Officity.

Sushee is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Officity and Sushee are distributed in the hope that they will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Sushee. If not, see <http://www.gnu.org/licenses/>.
*/    
	class Officity_LibversionElement extends Element
	{
		function __construct($ID=0)
		{
			parent::__construct('OFFICITY:LIBVERSION', $ID);
		}

		function __destruct()
		{
			parent::__destruct();
		}

		public function setDisplayProfile()
		{
			$this->addXMLReturn('
				<INFO creator_info="small">
					<CREATIONDATE />
					<TITLE />
					<VERSIONNUMBER />
				</INFO>
			');
		}
		
		public function addSharedResourcesCommands(&$nql)
		{
			/*$nql->addCommand('
			 	<GET>
			 		<LIST name="dummyListName" />
			 	</GET>
			');*/
		}
		
	    /* *** */
	
		public function destroy()
		{
			if (($ID = $this->getID()) == 0) return false;
	
            $nql = new Officity_Shell();
	
			// 1st : kill all direct elements in dependencies
			/*$kill_command = '
				<KILL name="kill-element">
					<OFFICITY:LIBVERSION>
						<WHERE>
							<DEPENDENCY type="editor:dummyDependency" mode="reverse">
								<DUMMYTARGET ID="'.$ID.'" />
							</DEPENDENCY>
						</WHERE>
					</OFFICITY:LIBVERSION>
				</KILL>';
			$nql->addCommand($kill_command);
	
			$nql->execute();*/
	
			// 2nd : kill kill
			if (parent::destroy() == true)
			{
				return true;
			}
	
			return false;
		}
	}
?>
